$fn = $preview ? 32 : 64;
/* klickfix */

module kf1(){
    rotate([90,0,0]){
        linear_extrude(height = 40, center = true, convexity = 10) import(file = "klickfix1.dxf", layer = "0");}
}

module kf2(){
    rotate([90,0,90]){
        linear_extrude(height = 20, center = true, convexity = 10) import(file = "klickfix2.dxf", layer = "0");}
}

module kf3(){
    rotate([0,0,90]){
        linear_extrude(height = 40, center = true, convexity = 10) import(file = "klickfix3.dxf", layer = "0");}
}

module kf4(){
    translate([0,0,1.5]){
        translate([0,8.7,0]){
            rotate_extrude(angle=180)
            translate([7,0,0])
            circle(d=2.8);
        }
        translate([0,-8.7,0]){
            rotate_extrude(angle=-180)
            translate([7,0,0])
            circle(d=2.8);
        }
    }
}

/*kf1();

kf2();*/

/*kf3();*/

/*kf4();*/

module klickfix() {
    difference() {
        intersection() {
            kf1();kf2();kf3();
        }
        kf4();
    };  
};

klickfix();
