$fn = $preview ? 32 : 64;

module evidement() {
    rotate ([180,0,0])
    translate([3,0,0.5])
    linear_extrude(height = 1.001, center = true, convexity = 10, scale=12/14)
    import(file = "garmin1.dxf", layer = "0");
    rotate ([180,0,180])
    translate([3,0,0.5])
    linear_extrude(height = 1.001, center = true, convexity = 10, scale=12/14)
    import(file = "garmin1.dxf", layer = "0");
}

hauteur = 4;

module fixation () {
    difference () {
        linear_extrude(height = hauteur, center = false, convexity = 20)
        import(file = "fixation.dxf", layer = "0");
        linear_extrude(height = 2*1.8+0.01, center = true, convexity = 10)
        import(file = "fixation.dxf", layer = "teteVis");
    }    
}

module base() {
    fixation();
    difference () {
        cylinder(hauteur,d=36);
        translate ([0,0,hauteur])
            evidement();
    }
}

base();